/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface ThesisStudentSessionBeanRemote {

    public void newThesisStudent(entities.ThesisStudent t);

    public java.util.List<entities.Thesis> findByStudent(entities.Users u);

    public entities.ThesisStudent findByStudentID(entities.Users u);

    public void update(entities.ThesisStudent t);

    public void delete(entities.ThesisStudent t);

    public java.util.List<entities.Users> findByThesisID(entities.Thesis t);

    
}
